%define name curl
%define version 7.8.1
%define release 1mdk
%define major 2

Summary: Gets a file from a FTP, GOPHER or HTTP server.
Name: %{name}
Version: %{version}
Release: %{release}
License: MIT
Group: Networking/Other
Source: http://curl.haxx.se/download/%{name}-%{version}.tar.bz2
Patch0: curl-7.5-missingfcntl_h.patch.bz2
URL: http://curl.haxx.se/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: openssl-devel perl /usr/bin/gnroff bison

%description 
curl is a client to get documents/files from servers, using any of the
supported protocols. The command is designed to work without user
interaction or any kind of interactivity.

curl offers a busload of useful tricks like proxy support, user
authentication, ftp upload, HTTP post, file transfer resume and more.

If you wish to install this package, you must also install the curl-lib
package.

NOTE: This version is compiled with SSL (https) support.

%package -n libcurl%{major}
Summary: A library of functions for file transfer
Group: Networking/Other
Provides: curl-lib = %{version}-%{release}
Obsoletes: curl-lib

%description  -n libcurl%{major}
libcurl is a library of functions for sending and receiving files through 
various protocols, including http and ftp.

You should install this package if you plan to use any applications that 
use libcurl


%package -n libcurl%{major}-devel
Summary: Header files and static libraries for libcurl
Group: Networking/Other
Requires: libcurl%{major} = %{version}
Provides: curl-devel = %{version}-%{release}, libcurl-devel
Obsoletes: curl-devel

%description -n libcurl%{major}-devel
libcurl is a library of functions for sending and receiving files through
various protocols, including http and ftp.

You should install this package if you wish to develop applications that 
utilize libcurl.


%prep
%setup -q
%patch0 -p1

%build
%configure --with-ssl
%make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libcurl%{major} -p /sbin/ldconfig

%postun -n libcurl%{major} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/curl
%attr(0644,root,root) %{_mandir}/man1/curl.1*
%docdir docs/
%doc MPL-1.1.txt MITX.txt

%files -n libcurl%{major}
%defattr(-,root,root)
%{_libdir}/libcurl.so.*
%docdir docs/
%doc docs/BUGS docs/CONTRIBUTE docs/FAQ CHANGES LEGAL MITX.txt
%doc MPL-1.1.txt docs/LIBCURL docs/RESOURCES docs/TODO

%files -n libcurl%{major}-devel
%defattr(-,root,root)
%{_libdir}/libcurl.so
%{_includedir}/curl/*
%{_libdir}/libcurl*a
%{_mandir}/man3/*
%doc MPL-1.1.txt MITX.txt
%doc docs/examples

%changelog
* Wed Aug 29 2001 DindinX <odin@mandrakesoft.com> 7.8.1-1mdk
- 7.8.1
- removed patch 1 (merged upstream)

* Mon Jun 11 2001 DindinX <odin@mandrakesoft.com> 7.8-3mdk
- major soname==2 is back!

* Mon Jun 11 2001 DindinX <odin@mandrakesoft.com> 7.8-2mdk
- rebuild with a major of 1

* Fri Jun  8 2001 DindinX <odin@mandrakesoft.com> 7.8-1mdk
- 7.8

* Tue May  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 7.7.3-1mdk
- version 7.7.3
- ameliorate BuildRequires
- have docs/examples in its directory

* Wed Apr 25 2001 Frederic Lepied <flepied@mandrakesoft.com> 7.7.2-1mdk
- new version with fix for ftp resume

* Sun Apr 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 7.6.1-2mdk
- libification

* Fri Feb 16 2001 DindinX <odin@mandrakesoft.com> 7.6.1-1mdk
- 7.6.1

* Mon Jan 29 2001 DindinX <odin@mandrakesoft.com> 7.6-1mdk
- 7.6

* Tue Jan  9 2001 DindinX <odin@mandrakesoft.com> 7.5.2-2mdk
- change license, according to the author's will (reported by F. Crozat)
- added some sample codes to the -devel package

* Tue Jan  9 2001 DindinX <odin@mandrakesoft.com> 7.5.2-1mdk
- 7.5.2
- small spec updates

* Mon Dec 18 2000 DindinX <odin@mandrakesoft.com> 7.5.1-2mdk
- corrected URL

* Wed Dec 13 2000 DindinX <odin@mandrakesoft.com> 7.5.1-1mdk
- 7.5.1

* Thu Dec 07 2000 Geoffrey lee <snailtalk@mandrakesoft.com> 7.5-2mdk
- manually include fcntl.h, strangely, it has been left out (sucky!!!).

* Mon Dec 04 2000 Geoffrey lee <snailtalk@mandrakesoft.com> 7.5-1mdk
- new and shiny source.
- requires: curl = %%{version}

* Wed Nov 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 7.4.2-5mdk
- really 7.4.2.
- well we compile with ssl now, so obviously description is wrong (daoudascks)

* Mon Nov 13 2000 Daouda Lo <daouda@mandrakesoft.com> 7.4.2-4mdk
- compiled with ssl (from TitiSux)

* Mon Nov 13 2000 Daouda Lo <daouda@mandrakesoft.com> 7.4.2-3mdk
- relase pre4.

* Fri Nov 10 2000 Lenny Cartier <lenny@mandrakesoft.com> 7.4.2-2mdk
- fiw requires


* Tue Nov 07 2000 Daouda Lo <daouda@mandrakesoft.com> 7.4.2-1mdk
- new release

* Fri Nov 03 2000 DindinX <odin@mandrakesoft.com> 7.4.1-1mdk
- 7.4.1

* Mon Aug 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 7.1-1mdk
- used srpm from Anton Graham <darkimage@bigfoot.com> :
	- new version
	- new -lib and -devel packages

* Mon Aug 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 6.5.2-3mdk
- change description
- clean spec 

* Tue Jul 11 2000 Anton Graham <darkimage@bigfoot.com> 6.5.2-2mdk
- Macroification
  
* Wed May 03 2000 Anton Graham <darkimage@bigfoot.com> 6.5.2-1mdk
- First Mandrake build
